package com.jware.apps.scheduler.model;
 
/*
 * @author Jrmt
 */
public class JobParameterValue {
	
	private String parameterName;
	private String parameterValue;
	private boolean required = false;


	public JobParameterValue () {
		
	}

    public JobParameterValue(String name, String desciption) {
        this.parameterName = name;
        this.parameterValue = desciption;
    }

	/**
	 * @return Returns the parameterName.
	 */
	public String getParameterName() {
		return parameterName;
	}
	/**
	 * @param parameterName The parameterName to set.
	 */
	public void setParameterName(String parameterName) {
		this.parameterName = parameterName;
	}
	/**
	 * @return Returns the parameterValue.
	 */
	public String getParameterValue() {
		return parameterValue;
	}
	/**
	 * @param parameterValue The parameterValue to set.
	 */
	public void setParameterValue(String parameterValue) {
		this.parameterValue = parameterValue;
	}
	/**
	 * @return Returns the required.
	 */
	public boolean isRequired() {
		return required;
	}
	/**
	 * @param required The required to set.
	 */
	public void setRequired(boolean required) {
		this.required = required;
	}
}
